xyp1964 发表于 2024-8-23 13:38:47

(defun c:tt ()
"选择非裁剪图块"
(if (setq ss (ssget '((0 . "INSERT"))))
    (progn
      (setq i -1
            ss1 (ssadd)
      )
      (while (setq e (ssname ss (setq i (1+ i))))
      (if (not (assoc 102 (entget e)))
          (setq ss1 (ssadd e ss1))
      )
      )
      (sssetfirst nil ss1)
    )
)
(princ)
)
(defun c:tt ()
"选择裁剪图块"
(if (setq ss (ssget '((0 . "INSERT"))))
    (progn
      (setq i -1
            ss1(ssadd)
      )
      (while (setq e (ssname ss (setq i (1+ i))))
      (if (assoc 102 (entget e))
          (setq ss1 (ssadd e ss1))
      )
      )
      (sssetfirst nil ss1)
    )
)
(princ)
)

jh3030912 发表于 2024-8-23 13:52:02

xyp1964 发表于 2024-8-23 13:38


选择,选择裁剪块以后 只删除裁剪块不可见部分的块和文字,有没有办法处理?
页: 1 [2]
查看完整版本: ssget如何不选择裁剪过的图块